npm

Ready to take your JavaScript development to the next level? Meet npm Enterprise - the ultimate in enterprise JavaScript.Learn more »

emberfire

2.0.10 • Public • Published

EmberFire Build Status Test Coverage Version Monthly Downloads Ember Observer Score Code Climate

EmberFire is the officially supported adapter for using Firebase with Ember Data.

Join our Firebase Google Group to ask technical questions, share apps you've built, and chat with other developers in the community.

Table of Contents

Getting Started With Firebase

EmberFire requires Firebase in order to authenticate users and sync and store data. Firebase is a suite of integrated products designed to help you develop your app, grow your user base, and earn money. You can sign up here for a free account.

Installation

$ ember install emberfire

Update config/environment.js

// config/environment.js
var ENV = {
  firebase: {
    apiKey: 'xyz',
    authDomain: 'YOUR-FIREBASE-APP.firebaseapp.com',
    databaseURL: 'https://YOUR-FIREBASE-APP.firebaseio.com',
    storageBucket: 'YOUR-FIREBASE-APP.appspot.com',
  }
}

Get these values from the Firebase Console by clicking the [Add Firebase to your web app] button on the project overview page.

Compatibility

Please consult this table when selecting your version of EmberFire and Firebase SDK:

Ember Data EmberFire Firebase SDK
1.13+ 1.5.x 2.x
2.0 - 2.2 1.6.x 2.x
2.3+ 2.0.x 3.x
canary master 3.x

To install the master branch, use ember install firebase/emberfire#master

Also note that due to the Firebase 3.0 SDK, you cannot run tests with PhantomJS 1.0 or 2.0.

Documentation

Migration Guides

Contributing

If you'd like to contribute to EmberFire, please first read through our contribution guidelines. Local setup instructions are available here.

install

npm i emberfire

Downloadsweekly downloads

834

version

2.0.10

license

MIT

homepage

github.com

repository

Gitgithub

last publish

collaborators

  • avatar
  • avatar
  • avatar
  • avatar
  • avatar
  • avatar
Report a vulnerability